PHPExcel_CalcEngine_Logger

category | PHPExcel
package | PHPExcel_Calculation
copyright | Copyright (c) 2006 - 2013 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

## Instantiate a Calculation engine logger

    __construct(\PHPExcel_CalcEngine_CyclicReferenceStack $stack)

### Parameters

#### $stack

`\PHPExcel_CalcEngine_CyclicReferenceStack`

## Clear the calculation engine debug log

    clearLog()

## Return whether echoing of debug log information is enabled or disabled

    getEchoDebugLog() : boolean

### Returns

`boolean`

## Return the calculation engine debug log

    getLog() : string[]

### Returns

`string[]`

## Return whether calculation engine logging is enabled or disabled

    getWriteDebugLog() : boolean

### Returns

`boolean`

## Enable/Disable echoing of debug log information

    setEchoDebugLog(boolean $pValue)

### Parameters

#### $pValue

`boolean`

## Enable/Disable Calculation engine logging

    setWriteDebugLog(boolean $pValue)

### Parameters

#### $pValue

`boolean`

## Write an entry to the calculation engine debug log

    writeDebugLog()

### Properties

##

    $_cellStack : \PHPExcel_CalcEngine_CyclicReferenceStack

##

    $_debugLog : string[]

##

    $_echoDebugLog : boolean

##

    $_writeDebugLog : boolean